Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 731284 - net-misc/cadaver fails to build with linker LLD
Summary: net-misc/cadaver fails to build with linker LLD
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All All
: Normal normal (vote)
Assignee: Arfrever Frehtes Taifersar Arahesis
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: LD-is-lld
  Show dependency tree
 
Reported: 2020-07-07 15:29 UTC by Agostino Sarubbo
Modified: 2020-07-14 19:05 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,13.91 KB, text/plain)
2020-07-07 15:29 UTC, Agostino Sarubbo
Details
other.tar.bz2 (other.tar.bz2,3.05 KB, application/x-bzip-compressed-tar)
2020-07-07 15:29 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-07-07 15:29:02 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: net-misc/cadaver fails to compile.
Discovered on: amd64

NOTE:
This machine uses a clang/LLVM toolchain.
If you think that this issue is strictly related to clang/LLVM please block bug 408963. If you think that this issue isstrictly related to the LLD linker, please block bug 731004.
Comment 1 Agostino Sarubbo gentoo-dev 2020-07-07 15:29:09 UTC
Created attachment 648246 [details]
build.log

build log and emerge --info
Comment 2 Agostino Sarubbo gentoo-dev 2020-07-07 15:29:12 UTC
Created attachment 648248 [details]
other.tar.bz2

other logs
Comment 3 Arfrever Frehtes Taifersar Arahesis 2020-07-07 19:58:58 UTC
configure:2929: checking whether the C compiler works
configure:2951: x86_64-pc-linux-gnu-clang -O2 -pipe -march=native -frecord-gcc-switches -fno-diagnostics-color  -I/usr/include   -L/usr/lib -Wl,-O1 -Wl,--as-needed -fuse-ld=lld -Wl,--defsym=__gentoo_check_ldflags__=0 conftest.c  >&5
ld.lld: error: /usr/lib/gcc/x86_64-pc-linux-gnu/10.1.0/../../../../lib64/crt1.o is incompatible with elf_x86_64
ld.lld: error: /usr/lib/gcc/x86_64-pc-linux-gnu/10.1.0/../../../../lib64/crti.o is incompatible with elf_x86_64
ld.lld: error: /usr/lib/gcc/x86_64-pc-linux-gnu/10.1.0/crtbegin.o is incompatible with elf_x86_64
ld.lld: error: /var/tmp/portage/net-misc/cadaver-0.23.3/temp/conftest-eae7e1.o is incompatible with elf_x86_64
ld.lld: error: /usr/lib/gcc/x86_64-pc-linux-gnu/10.1.0/libgcc_s.so.1 is incompatible with elf_x86_64
ld.lld: error: /usr/lib/gcc/x86_64-pc-linux-gnu/10.1.0/libgcc_s.so.1 is incompatible with elf_x86_64
ld.lld: error: /usr/lib/gcc/x86_64-pc-linux-gnu/10.1.0/crtend.o is incompatible with elf_x86_64
ld.lld: error: /usr/lib/gcc/x86_64-pc-linux-gnu/10.1.0/../../../../lib64/crtn.o is incompatible with elf_x86_64
clang-10: error: linker command failed with exit code 1 (use -v to see invocation)
configure:2955: $? = 1
configure:2993: result: no
Comment 4 Arfrever Frehtes Taifersar Arahesis 2020-07-07 20:06:22 UTC
m4/neon/neon.m4:

AC_DEFUN([NEON_WITH_LIBS], [
AC_ARG_WITH([libs],
[[  --with-libs=DIR[:DIR2...] look for support libraries in DIR/{bin,lib,include}]],
[case $with_libs in
yes|no) AC_MSG_ERROR([--with-libs must be passed a directory argument]) ;;
*) ne_save_IFS=$IFS; IFS=:
   for dir in $with_libs; do
     ne_add_CPPFLAGS="$ne_add_CPPFLAGS -I${dir}/include"
     ne_add_LDFLAGS="$ne_add_LDFLAGS -L${dir}/lib"
     ne_add_PATH="${ne_add_PATH}${dir}/bin:"
     PKG_CONFIG_PATH=${PKG_CONFIG_PATH}${PKG_CONFIG_PATH+:}${dir}/lib/pkgconfig
   done
   IFS=$ne_save_IFS
   CPPFLAGS="${ne_add_CPPFLAGS} $CPPFLAGS"
   LDFLAGS="${ne_add_LDFLAGS} $LDFLAGS"
   PATH=${ne_add_PATH}$PATH
   export PKG_CONFIG_PATH ;;
esac])])


Ebuild has `econf ... --with-libs=/usr` for unknown reason. It will be dropped.
Comment 5 Larry the Git Cow gentoo-dev 2020-07-14 19:05:32 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b2f63173e89037dacacb5e13240a96ca0778e594

commit b2f63173e89037dacacb5e13240a96ca0778e594
Author:     Arfrever Frehtes Taifersar Arahesis <Arfrever@Apache.Org>
AuthorDate: 2020-07-14 18:49:24 +0000
Commit:     Mike Gilbert <floppym@gentoo.org>
CommitDate: 2020-07-14 19:05:18 +0000

    net-misc/cadaver: Avoid -L/usr/lib.
    
    -L/usr/lib breaks building with linker LLD.
    
    Closes: https://bugs.gentoo.org/731284
    Signed-off-by: Arfrever Frehtes Taifersar Arahesis <Arfrever@Apache.Org>
    Signed-off-by: Mike Gilbert <floppym@gentoo.org>

 net-misc/cadaver/cadaver-0.23.3.ebuild | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)